%define realname	mpc
%define libmajor	3
%define libname		%mklibname %{realname} %{libmajor}
%define libname_devel	%mklibname %{realname} -d

Summary:	Complex numbers arithmetic with arbitrarily high precision and correct rounding
Name:		libmpc
Version:	1.0.1
Release:	2
License:	LGPLv2+
Group:		System/Libraries
URL:		http://www.multiprecision.org/%{realname}
Source0:	http://www.multiprecision.org/mpc/download/%{realname}-%{version}.tar.gz
BuildRequires:	gmp-devel
BuildRequires:	mpfr-devel

%description
Mpc is a C library for the arithmetic of complex numbers with arbitrarily
high precision and correct rounding of the result. It is built upon and
follows the same principles as Mpfr. The library is written by Andreas Enge,
Philippe Thveny and Paul Zimmermann and is distributed under the Gnu Lesser
General Public License, either version 2.1 of the licence, or (at your option)
any later version. The Mpc library has been registered in France by the
Agence pour la Protection des Programmes on 2003-02-05 under the number
IDDN FR 001 060029 000 R P 2003 000 10000.

%package	-n %{libname}
Summary:	Complex numbers arithmetic with arbitrarily high precision and correct rounding
Group:		System/Libraries

%description	-n %{libname}
Mpc is a C library for the arithmetic of complex numbers with arbitrarily
high precision and correct rounding of the result. It is built upon and
follows the same principles as Mpfr. The library is written by Andreas Enge,
Philippe Thveny and Paul Zimmermann and is distributed under the Gnu Lesser
General Public License, either version 2.1 of the licence, or (at your option)
any later version. The Mpc library has been registered in France by the
Agence pour la Protection des Programmes on 2003-02-05 under the number
IDDN FR 001 060029 000 R P 2003 000 10000.

%package	-n %{libname_devel}
Summary:	Development headers and libraries for MPC
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description	-n %{libname_devel}
Development headers and libraries for MPC.

%prep
%setup -q -n %{realname}-%{version}
autoreconf -ifs

%build
%configure2_5x			\
	--enable-shared		\
	--disable-static

%make

%install
%__rm -rf %{buildroot}
%makeinstall_std

%check
make check

%files -n %{libname}
%{_libdir}/libmpc.so.%{libmajor}*

%files -n %{libname_devel}
%doc AUTHORS NEWS README TODO
%{_includedir}/mpc.h
%{_infodir}/mpc.info*
%{_libdir}/libmpc.so


%changelog
* Thu Sep 13 2012 Paulo Andrade <pcpa@mandriva.com.br> 1.0.1-2
+ Revision: 816923
- Rebuild.

  + Alexander Khrukin <akhrukin@mandriva.org>
    - version update 1.0.1

* Mon Sep 10 2012 Bernhard Rosenkraenzer <bero@bero.eu> 1.0-3
+ Revision: 816721
- Clean up spec

* Fri Sep 07 2012 Alexander Khrukin <akhrukin@mandriva.org> 1.0-2
+ Revision: 816515
- plz dont pack DOC-files into %%libname package

  + Bernhard Rosenkraenzer <bero@bero.eu>
    - Update to 1.0

* Thu Jun 07 2012 Andrey Bondrov <abondrov@mandriva.org> 0.9-4
+ Revision: 803041
- Update autoreconf patch to fix build with automake 1.12
- Drop some legacy junk, fix summary length

* Wed Dec 07 2011 Paulo Andrade <pcpa@mandriva.com.br> 0.9-3
+ Revision: 738687
- Rebuild for .la file removal.

* Mon May 02 2011 Oden Eriksson <oeriksson@mandriva.com> 0.9-2
+ Revision: 662383
- mass rebuild

* Tue Apr 05 2011 Paulo Andrade <pcpa@mandriva.com.br> 0.9-1
+ Revision: 650566
- Update to latest upstream release

* Sun Jan 30 2011 Funda Wang <fwang@mandriva.org> 0.8.2-2
+ Revision: 634186
- rebuild

* Sun Aug 01 2010 Funda Wang <fwang@mandriva.org> 0.8.2-1mdv2011.0
+ Revision: 564844
- new version 0.8.2

* Wed Feb 10 2010 Funda Wang <fwang@mandriva.org> 0.8.1-3mdv2010.1
+ Revision: 503555
- rebuild for new gmp

* Mon Jan 11 2010 Paulo Andrade <pcpa@mandriva.com.br> 0.8.1-2mdv2010.1
+ Revision: 489813
+ rebuild (emptylog)

* Mon Jan 11 2010 Paulo Andrade <pcpa@mandriva.com.br> 0.8.1-1mdv2010.1
+ Revision: 489808
- Import mpc version 0.8.1.
- libmpc

